Subject: slightly off topic
To: None <netbsd-users@NetBSD.ORG>
From: Rick Kelly <>
List: netbsd-users
Date: 02/18/1997 08:21:56
I just upgraded my 1386 server running NetBSD 0.9a to NetBSD 1.2.

I have been running some mailing lists on this box, and I use majordomo
to control the mail.  The wrapper program, which runs setuid to the 
majordomo owner, is failing when trying to run the majordomo perl
scripts.  This worked under 0.9a using perl 5.002 and I'm still using
5.002.  Does anyone have any patches or kludges for this?

Thanks in advance.

The original message was received at Mon, 17 Feb 1997 18:05:37 -0500 (EST)
from root@main []

   ----- The following addresses had permanent fatal errors -----
"|/src/majordomo-1.92/wrapper majordomo"
    (expanded from: <>)

   ----- Transcript of session follows -----
Insecure dependency in `` while running setuid at /src/majordomo-1.92/majordomo 
line 46.
554 "|/src/majordomo-1.92/wrapper majordomo"... unknown mailer error 255

Rick Kelly